Accounts
Get an account proposal
Returns a single account proposal by its unique identifier.
GET
/
accounts
/
proposals
/
{proposalId}
cURL
curl --request GET \
--url https://api.onchainden.com/api/v1/accounts/proposals/{proposalId} \
--header 'Authorization: Bearer <token>'const client = new DenClient({ apiKey: 'ck_live_...' });
const proposal = await client.getAccountProposal('prop_123');
{
"data": {
"id": "prop_acc_create_123",
"resourceType": "accounts",
"action": "create",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 2,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"items": [
{
"name": "Treasury",
"networkIds": [
1,
137
]
}
]
},
"result": {
"resolution": "approved",
"resources": [
{
"type": "account",
"id": "acc_new1",
"uri": "/api/v1/accounts/acc_new1"
}
]
}
}
}{
"error": {
"code": "unauthorized",
"message": "Invalid API key"
}
}{
"error": {
"code": "notFound",
"message": "Resource not found"
}
}Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Response
Account proposal details
- Accounts Create
- Accounts Update
Show child attributes
Show child attributes
Example:
{
"id": "prop_acc_create_123",
"resourceType": "accounts",
"action": "create",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 2,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"items": [
{
"name": "Treasury",
"networkIds": [1, 137]
}
]
},
"result": {
"resolution": "approved",
"resources": [
{
"type": "account",
"id": "acc_new1",
"uri": "/api/v1/accounts/acc_new1"
}
]
}
}
⌘I
cURL
curl --request GET \
--url https://api.onchainden.com/api/v1/accounts/proposals/{proposalId} \
--header 'Authorization: Bearer <token>'const client = new DenClient({ apiKey: 'ck_live_...' });
const proposal = await client.getAccountProposal('prop_123');
{
"data": {
"id": "prop_acc_create_123",
"resourceType": "accounts",
"action": "create",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 2,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"items": [
{
"name": "Treasury",
"networkIds": [
1,
137
]
}
]
},
"result": {
"resolution": "approved",
"resources": [
{
"type": "account",
"id": "acc_new1",
"uri": "/api/v1/accounts/acc_new1"
}
]
}
}
}{
"error": {
"code": "unauthorized",
"message": "Invalid API key"
}
}{
"error": {
"code": "notFound",
"message": "Resource not found"
}
}